Alokai

SapccApiGetPageByIdAndUserRequest

Request parameters for getPageByIdAndUser operation in SapccApi. SapccApiGetPageByIdAndUserRequest

interface SapccApiGetPageByIdAndUserRequest {
	readonly baseSiteId: string;
	readonly categoryCode?: string;
	readonly fields?: GetPageByIdAndUserFieldsEnum;
	readonly pageId: string;
	readonly productCode?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetPageByIdAndUser
categoryCodeOptionalstringCategory code {string} SapccApiGetPageByIdAndUser
fieldsOptionalGetPageByIdAndUserFieldsEnumResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC, DEFAULT, FULL. {'BASIC' | 'DEFAULT' | 'FULL'} SapccApiGetPageByIdAndUser
pageIdRequiredstringPage Id {string} SapccApiGetPageByIdAndUser
productCodeOptionalstringProduct code {string} SapccApiGetPageByIdAndUser
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetPageByIdAndUser

Referenced Types

On this page